curl --request GET \
--url 'https://mrp.zolotenkov.ru/api/external/v1/sales-orders/42' \
--header 'Authorization: Bearer zol_pat_live_ВАШ_КЛЮЧ' \
--header 'Accept: application/json'
const response = await fetch("https://mrp.zolotenkov.ru/api/external/v1/sales-orders/42", {
method: "GET",
headers: {
"Authorization": "Bearer zol_pat_live_ВАШ_КЛЮЧ",
},
});
const data = await response.json();
import requests
response = requests.get(
"https://mrp.zolotenkov.ru/api/external/v1/sales-orders/42",
headers={
"Authorization": "Bearer zol_pat_live_ВАШ_КЛЮЧ",
},
timeout=30,
)
response.raise_for_status()
print(response.json())
<?php
$curl = curl_init('https://mrp.zolotenkov.ru/api/external/v1/sales-orders/42');
curl_setopt_array($curl, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer zol_pat_live_ВАШ_КЛЮЧ",
"Accept: application/json",
],
]);
$response = curl_exec($curl);
var_dump(json_decode($response, true));
Ответ
{
"cancel_reason": "Покупатель отказался от остатка",
"cancelled_at": "2026-08-01T09:00:00Z",
"cancelled_by_user_id": "42",
"cancelled_by_user_name": "Анна Петрова",
"created_date": "2026-08-01T09:00:00Z",
"currency": "RUB",
"customer": {
"country_code": "RU",
"id": "42",
"title": "Название"
},
"delivery_date": "2026-08-01T09:00:00Z",
"delivery_status": "NOT_SHIPPED",
"id": "42",
"notes": "Комментарий",
"number": "0001",
"priority": 1,
"shipped_at": "2026-08-01T09:00:00Z",
"status": "OPEN",
"tax_amount": 2400,
"total_amount": 12000,
"total_amount_with_tax": 14400,
"items": [
{
"id": "42",
"item_id": "42",
"item_variant_id": "42",
"line_amount": 12000,
"line_amount_with_tax": 14400,
"line_tax_amount": 2400,
"price": 1200,
"quantity": 10,
"sku": "ART-001",
"storage_place_id": "42",
"tax_rate": 20,
"title": "Название"
}
]
}
{
"error": "unauthorized",
"message": "Missing Authorization header",
"request_id": "req_cyX5W3UaT8KsYDN7GUEkdW"
}
{
"error": "forbidden",
"message": "Missing required scope 'read:sales'",
"request_id": "req_cyX5W3UaT8KsYDN7GUEkdW"
}
{
"error": "not_found",
"message": "Resource not found",
"request_id": "req_cyX5W3UaT8KsYDN7GUEkdW"
}
{
"error": "rate_limited",
"message": "Rate limit exceeded",
"request_id": "req_cyX5W3UaT8KsYDN7GUEkdW"
}